This page explains how to update Video elements.
{resource-id}: the object ID
| Attribute | Value | Mandatory |
|---|---|---|
| title | A non-empty string | NO |
| short_description | A string | NO |
| description | A string | NO |
| tags | A string where each tag has the , character as a divisor |
NO |
| preview_image | A reference to the absolute path of the image on your disk or a remote URL. Formats accepted: jpg, png, gif |
NO |
| Field | Value | Description |
|---|---|---|
| id | string | Object ID |
| title | string | The title of the video |
| short_description | string | The associated short description |
| description | string | The associated complete description |
| tags | string | List of tags separated by commas |
| duration | float | Video duration in seconds |
| available_video | boolean | If the video is available for playback, the value will be set 1, otherwise it will have the value 0 |
| invalid_video | boolean | 1 If the video was not converted correctly, 0 otherwise |
| created_at | string | The create date that follows the format Y-m-d H:i:sY(year) m(month) d(day) H(hours) i(minutes) s(seconds) |
| preview_image | string | URL of the associated preview image |
curl -i -H "Accept: application/json" -H "Content-Type:application/json" -H "access-token: [your-access-token]" -H "X-HTTP-Method-Override: PUT" -X POST http://API_DOMAIN/rest/v2/video/2.json -d '
{
"title": "New title"
}'
{
"id":"2",
"title":"New title",
"short_description":"",
"description":"",
"tags":"",
"duration":306.32,
"available_video":"0",
"invalid_video":"0",
"created_at":"2012-09-25 17:55:47",
"preview_image":"http:\/\/example.com\/meride\/video\/images\/test_image.jpg"
}
Note The updated object will be returned as a response
Note The PUT method is not supported by all systems. In case of problems, add the parameter to the Header of the callX-HTTP-Method-Override: PUT and use the method POST as default
$merideApi = new Meride\Api('[your-auth-code]', 'http://API_DOMAIN/', 'v2');
$response = $merideApi->update('video', '2', array (
'title' => 'New title',
));